Subject: Re: [PATCH v3 net 1/3] net: mediatek: sgmii: ensure the SGMII PHY is powered down on configuration

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 24 Jan 2023 12:45:21 +0000

On Tue, Jan 24, 2023 at 01:19:15PM +0100, Paolo Abeni wrote:
> On Sun, 2023-01-22 at 22:21 +0100, Bjørn Mork wrote:
> > From: Alexander Couzens <[email-masked]>
> > 
> > The code expect the PHY to be in power down which is only true after reset.
> > Allow changes of the SGMII parameters more than once.
> > 
> > Only power down when reconfiguring to avoid bouncing the link when there's
> > no reason to - based on code from Russell King.
> > 
> > There are cases when the SGMII_PHYA_PWD register contains 0x9 which
> > prevents SGMII from working. The SGMII still shows link but no traffic
> > can flow. Writing 0x0 to the PHYA_PWD register fix the issue. 0x0 was
> > taken from a good working state of the SGMII interface.
> 
> This looks like a legitimate fix for -net, but we need a suitable Fixes
> tag pointing to the culprit commit.
> 
> Please repost including such tag. While at that you could also consider
> including Simon's suggestion.
> 
> The following 2 patches looks like new features/refactor that would be
> more suitable for net-next, and included here due to the code
> dependency.

I'm not sure why you think that, especially for patch 2.

Patch 2 corrects the sense of the duplex bit - the code originally
set this for full duplex, but in actual fact, the bit needs to be set
for half duplex. I can't see how one could regard that as a feature
or a refactor.

I'm also not sure how you could regard patch 3 as a refactor. It
could be argued that it is a new feature, but it is actually a bug
fix for the patch converting the driver to phylink_pcs which
omitted setting this, making the pcs_get_state() method rather
useless.

So I regard all three patches as fixes, not features or refactoring.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!